from cruditor.filters import MultiCharFilter
from django_filters import FilterSet

from . import forms, models


class AssociationIndexFilter(FilterSet):
    search = MultiCharFilter(['name', 'description'], label="Filtrer")

    class Meta:
        model = models.Association
        form = forms.FilterForm
        fields = ['search']
